PowerHostUtilizationHistory (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.power

## Class PowerHostUtilizationHistory

- java.lang.Object
- - org.cloudbus.cloudsim.Host
  - - org.cloudbus.cloudsim.HostDynamicWorkload
    - - org.cloudbus.cloudsim.power.PowerHost
      - - org.cloudbus.cloudsim.power.PowerHostUtilizationHistory

-     public class PowerHostUtilizationHistory
      extends PowerHost

  The class of a host that stores its CPU utilization history. The history is used by VM allocation and selection policies. If you are using any algorithms, policies or workload included in the power package please cite the following paper: Anton Beloglazov, and Rajkumar Buyya, "Optimal Online Deterministic Algorithms and Adaptive Heuristics for Energy and Performance Efficient Dynamic Consolidation of Virtual Machines in Cloud Data Centers", Concurrency and Computation: Practice and Experience, ISSN: 1532-0626, Wiley Press, New York, USA, 2011, DOI: 10.1002/cpe.1867
  Since:
    CloudSim Toolkit 2.0
  Author:
    Anton Beloglazov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PowerHostUtilizationHistory(int id, RamProvisioner ramProvisioner, BwProvisioner bwProvisioner, long storage, List<? extends Pe> peList, VmScheduler vmScheduler, PowerModel powerModel)` Instantiates a new power host utilization history.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected double[]` | `getUtilizationHistory()` Gets the host utilization history.

    - ### Methods inherited from class org.cloudbus.cloudsim.power.PowerHost

      `getEnergyLinearInterpolation, getMaxPower, getPMax, getPMin, getPower, getPower, getPowerModel`

    - ### Methods inherited from class org.cloudbus.cloudsim.HostDynamicWorkload

      `addStateHistoryEntry, getCompletedVms, getMaxUtilization, getMaxUtilizationAmongVmsPes, getPreviousUtilizationMips, getPreviousUtilizationOfCpu, getStateHistory, getUtilizationMips, getUtilizationOfBw, getUtilizationOfCpu, getUtilizationOfCpuMips, getUtilizationOfRam, isDvfsActivatedOnHost, setPreviousUtilizationMips, setUtilizationMips, updateVmsProcessing`

    - ### Methods inherited from class org.cloudbus.cloudsim.Host

      `addMigratingInVm, allocatePesForVm, deallocatePesForVm, decreaseVmMips, decreaseVMMipsToHostNewVm, getAllocatedMipsForVm, getAvailableMips, getBw, getBwProvisioner, getDatacenter, getId, getMaxAvailableMips, getNumberOfFreePes, getNumberOfPes, getPeList, getRam, getRamProvisioner, getStorage, getTotalAllocatedMipsForVm, getTotalMaxMips, getTotalMips, getVm, getVmList, getVmScheduler, getVmsMigratingIn, isEnableDVFS, isEnableONOFF, isFailed, isSuitableForVm, MakeSuitableHostForVm, reallocateMigratingInVms, regrowVmMips, regrowVmMipsAfterVmEnd, removeMigratingInVm, setAvailableMips, setBwProvisioner, setDatacenter, setEnableDVFS, setEnableONOFF, setFailed, setFailed, setId, setPeList, setPeStatus, setRamProvisioner, setStorage, setVmScheduler, vmCreate, vmDeallocate, vmDeallocateAll, vmDestroy, vmDestroyAll`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PowerHostUtilizationHistory

          public PowerHostUtilizationHistory(int id,
                                     RamProvisioner ramProvisioner,
                                     BwProvisioner bwProvisioner,
                                     long storage,
                                     List<? extends Pe> peList,
                                     VmScheduler vmScheduler,
                                     PowerModel powerModel)

      Instantiates a new power host utilization history.
      Parameters:
        `id` - the id
        `ramProvisioner` - the ram provisioner
        `bwProvisioner` - the bw provisioner
        `storage` - the storage
        `peList` - the pe list
        `vmScheduler` - the vm scheduler
        `powerModel` - the power model

  - ### Method Detail

    - #### getUtilizationHistory

          protected double[] getUtilizationHistory()

      Gets the host utilization history.
      Returns:
        the host utilization history

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.